import sqlite3
import json

conn = sqlite3.connect('mydatabase.db')
cur = conn.cursor()

cur.execute("DROP TABLE IF EXISTS people")
cur.execute('''
CREATE TABLE people (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    first_name TEXT NOT NULL,
    last_name TEXT NOT NULL,
    address TEXT NOT NULL,
    city TEXT NOT NULL,
    postal_code TEXT NOT NULL
)''')

people = [
    ("Max", "Mustermann", "Hauptstraße 1", "Wien", "1010"),
    ("Julia", "Musterfrau", "Parkring 2", "Graz", "8010"),
    ("Hans", "Schneider", "Lindengasse 3", "Linz", "4020"),
    ("Anna", "Bauer", "Schlossallee 4", "Salzburg", "5020"),
    ("Karl", "Fischer", "Bahnhofstraße 5", "Innsbruck", "6020"),
    ("Sara", "Weber", "Marktstraße 6", "Klagenfurt", "9020"),
    ("Martin", "Becker", "Seestraße 7", "Villach", "9500"),
    ("Sophie", "Koch", "Gartenweg 8", "Wels", "4600"),
    ("Oliver", "Wolf", "Schulstraße 9", "St. Pölten", "3100"),
    ("Eva", "Lang", "Bergstraße 10", "Dornbirn", "6850")
]

cur.executemany("INSERT INTO people (first_name, last_name, address, city, postal_code) VALUES (?, ?, ?, ?, ?)", people)
conn.commit()

cur.execute("SELECT * FROM people")
rows = cur.fetchall()

data = [{
    "name": row[1],
    "lastName": row[2],
    "address": row[3],
    "city": row[4],
    "postal_code": row[5]
} for row in rows]

json_file = "output.json"
with open(json_file, 'w') as f:
    json.dump(data, f)

#json_data = json.dumps(data, indent=2, ensure_ascii=False)

conn.close()